El Foro

Can't install League of Legends

Autor Respuestas
Maskullking Wednesday 13 August 2014 at 1:44
Maskullking

This is a reposting, but it's an issue that was never solved and the old topic seems to be going unnoticed.

I haven't been able to run or install League of Legends for several weeks now. It use to run perfectly fine.

I used this guide to install the first time(when it use to work) and again when I try to reinstall:
http://gamersonlinux.com/forum/threads/league-of-legends-guide.206/

Install output:

[08/13/14 11:27:45] - Running wine-1.7.18-LeagueOfLegends3 /home/haftka/Downloads/LeagueofLegends_NA_Installer_05_07_13.exe (Working directory : /)
fixme:explorerframe:taskbar_list_SetProgressValue iface 0x13bec0, hwnd 0x3004a, ullCompleted 10000, ullTotal 150c00 stub!
fixme:explorerframe:taskbar_list_SetProgressState iface 0x13bec0, hwnd 0x3004a, flags 0 stub!
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
fixme:storage:create_storagefile Storage share mode not implemented.
fixme:advapi:LsaOpenPolicy ((null),0xb7e2f0,0x00000001,0xb7e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0xb7e2f0,0x00000001,0xb7e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0xb7e2f0,0x00000001,0xb7e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0xb7e2f0,0x00000001,0xb7e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0xb7e2f0,0x00000001,0xb7e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0xb7e2f0,0x00000001,0xb7e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:shell:SHGetKnownFolderPath flags 0x00004400 not supported
fixme:shell:SHGetKnownFolderPath flags 0x00004400 not supported
fixme:shell:SHGetKnownFolderPath flags 0x00004400 not supported
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:richedit:ReadStyleSheet missing style number
fixme:exec:SHELL_execute flags ignored: 0x00000100
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
fixme:storage:create_storagefile Storage share mode not implemented.
fixme:advapi:LsaOpenPolicy ((null),0x928e2f0,0x00000001,0x928e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0x928e2f0,0x00000001,0x928e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0x928e2f0,0x00000001,0x928e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0x928e2f0,0x00000001,0x928e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0x928e2f0,0x00000001,0x928e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:advapi:LsaOpenPolicy ((null),0x928e2f0,0x00000001,0x928e30c) stub
fixme:advapi:LsaClose (0xcafe) stub
fixme:shell:SHGetKnownFolderPath flags 0x00004400 not supported
fixme:shell:SHGetKnownFolderPath flags 0x00004400 not supported
fixme:shell:SHGetKnownFolderPath flags 0x00004400 not supported
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
fixme:ntdll:server_ioctl_file Unsupported ioctl 110008 (device=11 access=0 func=2 method=0)

 

System setup:
Linux Mint 17 64bit KDE (kernel 3.13.0-24-generic)
Wine
1.7.18-LeagueOfLegends3 32bit (same thing happens with other LoL wine versions)
Intel i7 860, 8gb 1333hz ddr3 ram, Geforce GTX 660 2gb GDDR5

Nvidia 340 proprietary drivers.

Editado por: Maskullking

Xvani Thursday 14 August 2014 at 16:23
XvaniAnonymous

That's an old guide.

Try reinstalling without doing any config first?

Maskullking Friday 15 August 2014 at 2:20
Maskullking

I know it's an old guide, I used it as a basis.

And it worked the first time I did it. But the install randomly stopped working a couple weeks ago.

I have tried installing without running config, and I have tried installing without install the components first. It all ends with it stalling and that output.

 

Ronin DUSETTE Friday 15 August 2014 at 2:57
Ronin DUSETTE
Admin

Delete the virtual drive for that game (backup your save), and then reinstall, using POL's install menu, NOT a manual guide. Plus, make sure that you have the newest version of POL, and you are using the POL installer in the Install menu. After you do that, please post up your ENTIRE debug output. 


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
Maskullking Friday 15 August 2014 at 5:26
Maskullking

It is with a new drive. And do you think I didn't already try POL installer? It doesn't work.

I tend to avoid the POL_Installers and do manual ones, as in my experince they are usually out of date/broken when I try them. But I tried anyway just incase, but it crashes before finishing, or even starting for that matter.

Edit: Should rephrase that as "Out of date, or incompatible with system setup(refering to both hardware/software setups.)"

Editado por: Maskullking

Ronin DUSETTE Friday 15 August 2014 at 9:04
Ronin DUSETTE
Admin

"It is with a new drive. And do you think I didn't already try POL installer? It doesn't work."

..... being flippant is not a way to encourage me to help you... 

 

Manual installs are fine. LoL is our "problem child", if you will. haha. I swear, almost every time their client updates, we have to change something. It happens. There are a great many scripts that work well. The amount of installs-to-bugs/issues ratio is pretty staggering. The issue is 90% of the time a software issue with the users system. A missing lib here, nouveau driver there, binaries and utilities that are not present on the users system... The scripts do break every now and then (to be honest, mostly with the online games, as they tend to update more often), but for the most part, they should work on a clean virtual drive, given that all system deps. are up to par. 

I cover all bases. Hence the suggestion. 

So, it does sound like their client had some sort of update that broke wine, so there may be a need for a new patched version for this game. I don't play it though, so hopefully someone else who has more experience fixing it when it breaks will chime in. :)

Editado por: RoninDusette


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
Maskullking Friday 15 August 2014 at 12:21
Maskullking

Sorry if I came off "flippant" I didn't intend for it to sound that way. Text can be a difficuilt barrier at times.

The weird thing for this is that the game broke just before the lastest game patch. So I think it is likely some update/change in my system that intially caused the problem. Have no idea what it could be though. Which is why I was hopping someone could shed some light on the matter.

I guess all I can do for now is keep on checking these forums while trying to figure out a fix for myself...
It's not too important anyway, LoL is just a game I play every now and then.

Maskullking Friday 15 August 2014 at 12:56
Maskullking

Ok update: I fixed my original install/virtual drive by installing .Net 2.0 and now I am able to update and run LoL again.

However I still can't install the game into a new drive even with .Net 2.0 installed.... weird... But I guess it doesn't matter since I can play again.

Also I find it weird that I didn't have .Net installed to begin with... as I normally install as a rule of thumb.

Ronin DUSETTE Friday 15 August 2014 at 20:02
Ronin DUSETTE
Admin

Hmmm. Well, depending on which version of Wine you are using, wine-mono might have been installed. And usually mixing mono and .NET in the same virtual drive can make things wonky.

And your theory about a system update breaking something; it is very likely, as well. 

Maybe try to do a manual install, but before you manually install .NET, go to configure -> wine tab -> wine uninstaller and uninstall wine mono first, that way they will have less of a chance of conflict. 

Off the top of my head, I cannot remember how to check recent update history, but this may just be specific to updates on a specific distro. So far, it seems to be *buntu/Mint users that are affected, but it is hard to tell if it is JUST those distros, considering how popular they are. 

If anyone knows of any debug flags that we can set up to get it to spit out some more traces, feel free to chime in. haha. 


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
petch Saturday 16 August 2014 at 1:51
petch
Developer

PlayOnLinux/PlayOnMac dotnet* component install scripts first uninstall wine-mono, if present.
Since Wine 1.5.9 or so wine-mono is installed automatically when a virtual drive is created, so that's the only way to install Windows' .NET

Editado por: petch

Ronin DUSETTE Saturday 16 August 2014 at 1:55
Ronin DUSETTE
Admin

Oh, nice. I did not know that they uninstall wine-mono first. 


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
vecio Sunday 18 June 2017 at 10:44
vecioAnonymous

hello guys...sorry...i have the same problem, but i didnt understand since im a new user of linux and im trying my best to improve.

can i ask you to explain me easly??

thank you